Create Agent#
Creates an agent. agent_name and general_prompt are optional. The webhook field name is weebhook_endpoint. A package that has used its included agents may charge the extra-agent price.
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
agent_namestringbody
max 255. may be null
general_promptstringbody
may be null
weebhook_endpointstringbody
may be null
weebhook_endpoint_methodstringbody
One of: GET, POST. may be null
enable_fillersbooleanbody
may be null
filler_phrasesarraybody
One of: 1. min 1. may be null
filler_phrases.*stringbodyrequired
Request field
curl --request POST \
--url https://app.rizzdial.com/api/ai/agent/v2/create \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"agent_name":"value","general_prompt":"value","weebhook_endpoint":"value","weebhook_endpoint_method":"GET","enable_fillers":true,"filler_phrases":[],"filler_phrases.*":"value"}'successboolean
true when the call succeeds. Some list responses use status: success instead
dataobject
The saved record, or the list of records